Package org.apache.felix.http.base.internal.registry

# Class PathResolverFactory.ExtensionMatcher

java.lang.Object
org.apache.felix.http.base.internal.registry.PathResolverFactory.AbstractMatcher
org.apache.felix.http.base.internal.registry.PathResolverFactory.ExtensionMatcher

All Implemented Interfaces:
  `Comparable<PathResolver>`, `PathResolver`

Enclosing class:
  PathResolverFactory

public static final class PathResolverFactory.ExtensionMatcher extends PathResolverFactory.AbstractMatcher

## Constructor Summary

Constructors
Constructor
Description
`ExtensionMatcher(ServletHandler handler, String pattern)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrdering()`
`PathResolution`
`resolve(String uri)`

### Methods inherited from class org.apache.felix.http.base.internal.registry.PathResolverFactory.AbstractMatcher

`compareTo, equals, getPattern, getRanking, getServletHandler, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtensionMatcher

public ExtensionMatcher(ServletHandler handler, String pattern)

## Method Details

### resolve

public PathResolution resolve(String uri)

### getOrdering

public int getOrdering()

Specified by:
  `getOrdering` in interface `PathResolver`
Overrides:
  `getOrdering` in class `PathResolverFactory.AbstractMatcher`